package com.inspect.job.mapper;

import com.inspect.job.domain.SysJobLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysJobLogMapper {
    List<SysJobLog> selectJobLogList(SysJobLog jobLog);

    List<SysJobLog> selectJobLogAll();

    SysJobLog selectJobLogById(Long id);

    int insertJobLog(SysJobLog jobLog);

    int deleteJobLogByIds(Long[] ids);

    int deleteJobLogById(Long id);

    void cleanJobLog();
}
